<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Utils\Services;


use Carbon\Carbon;

class DateManipulator
{

   public function incrementDateByItem($arr, $initial_date, $incremented_by, $days_quantity = 1)
   {
      $arr[0]['data'] = $initial_date;
      $initial_date_carbon = Carbon::createFromFormat('Y-m-d', $initial_date);
      foreach ($arr as $key => &$item) {
         if ($key == 0) {
            continue;
         }

         if ($incremented_by == 'DATA') {
            $initial_date_carbon = $initial_date_carbon->addMonth();
         } else {
            $initial_date_carbon = $initial_date_carbon->addDays($days_quantity);
         }
         $item['data'] = $initial_date_carbon->format('Y-m-d');
      }

      return $arr;
   }

}
