<?php


namespace Schaffen\Core\Employee\Models;


use Illuminate\Database\Eloquent\Model;

class EmployeeMobile extends Model
{
    protected $connection = 'dynamicdb';
    protected $table = "cadastro.funcionario_movel";
    protected $primaryKey = "fum_fk_fun_codigo";
    protected $fillable = [
        "fum_serial",
        "fum_libera_manutencao",
        "fum_venda_web",
        "fum_uf_atuacao_vendedor",
        "fum_bloqueado",
    ];

    public function employee()
    {
        return $this->belongsTo(Employee::class, 'fum_fk_fun_codigo');
    }

    public $incrementing = false;
}